import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const provinceJahadGetTransactionInfoDashboardService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_TRANSACTION_INFO_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "/live-stock-transactions-dashboard",
      {
        params: {
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
